Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.impl
Class RuntimeDataServiceEJBImpl

    java.lang.Object
      org.jbpm.kie.services.impl.RuntimeDataServiceImpl
          org.jbpm.services.ejb.impl.RuntimeDataServiceEJBImpl

All Implemented Interfaces:
  DeploymentEventListener, RuntimeDataService, RuntimeDataServiceEJBLocal, RuntimeDataServiceEJBRemote

    public class RuntimeDataServiceEJBImpl

extends RuntimeDataServiceImpl
implements DeploymentEventListener, RuntimeDataService, RuntimeDataServiceEJBLocal, RuntimeDataServiceEJBRemote

Nested Class Summary

Nested classes/interfaces inherited from interface org.jbpm.services.api.RuntimeDataService
`RuntimeDataService.EntryType`

Field Summary

Fields inherited from class org.jbpm.kie.services.impl.RuntimeDataServiceImpl
`availableProcesses, deploymentsRoles, userDeploymentIdsCache`

Constructor Summary
`RuntimeDataServiceEJBImpl()`

Method Summary
`void` | `configure()`
`void` | `onActivate(DeploymentEvent event)`
`void` | `onDeactivate(DeploymentEvent event)`
`void` | `onDeploy(DeploymentEvent event)`
`void` | `onUnDeploy(DeploymentEvent event)`
`void` | `setCommandService(TransactionalCommandService commandService)`
`void` | `setTaskService(TaskService taskService)`

Methods inherited from class org.jbpm.kie.services.impl.RuntimeDataServiceImpl
`applyDeploymentFilter, applyPagnition, applyQueryContext, applyQueryFilter, applySorting, getAllAuditTask, getDeploymentsForUser, getNodeInstanceForWorkItem, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessIds, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistory, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByDeploymentId, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getTaskById, getTaskByWorkItemId, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState, setIdentityProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.services.api.RuntimeDataService
`getAllAuditTask, getNodeInstanceForWorkItem, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessIds, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByDeploymentId, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getTaskById, getTaskByWorkItemId, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState`

Constructor Detail

### RuntimeDataServiceEJBImpl

    public RuntimeDataServiceEJBImpl()

Method Detail

### configure

    @PostConstruct
    public void configure()

### setCommandService

    public void setCommandService(TransactionalCommandService commandService)

  Overrides:
    `setCommandService` in class `RuntimeDataServiceImpl`

### setTaskService

    public void setTaskService(TaskService taskService)

  Overrides:
    `setTaskService` in class `RuntimeDataServiceImpl`

### onDeploy

    public void onDeploy(DeploymentEvent event)

  Specified by:
    `onDeploy` in interface `DeploymentEventListener`
  Overrides:
    `onDeploy` in class `RuntimeDataServiceImpl`

### onUnDeploy

    public void onUnDeploy(DeploymentEvent event)

  Specified by:
    `onUnDeploy` in interface `DeploymentEventListener`
  Overrides:
    `onUnDeploy` in class `RuntimeDataServiceImpl`

### onActivate

    public void onActivate(DeploymentEvent event)

  Specified by:
    `onActivate` in interface `DeploymentEventListener`
  Overrides:
    `onActivate` in class `RuntimeDataServiceImpl`

### onDeactivate

    public void onDeactivate(DeploymentEvent event)

  Specified by:
    `onDeactivate` in interface `DeploymentEventListener`
  Overrides:
    `onDeactivate` in class `RuntimeDataServiceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.